namespace e_suite.Modules.SequenceManager.Extensions;

public static class DateTimeExtensions
{
    public static bool IsSameMonth(this DateTime dt, DateTime dateToCompare)
    {
        return dt.Year == dateToCompare.Year && dt.Month == dateToCompare.Month;
    }

    public static bool IsSameDay(this DateTime dt, DateTime dateToCompare)
    {
        return dt.Year == dateToCompare.Year && dt.Month == dateToCompare.Month && dt.Day == dateToCompare.Day;
    }
}